Open Bug 1491021 (node-toplevel-packages) Opened 2 years ago Updated 4 months ago

[META] vendor packages from top-level package.json into m-c

Categories

(Firefox Build System :: General, enhancement)

enhancement
Not set
normal

Tracking

(Not tracked)

People

(Reporter: dmose, Unassigned)

References

(Depends on 2 open bugs, Blocks 6 open bugs)

Details

(Keywords: meta)

Attachments

(1 file)

NodeJS will be made especially useful to mozilla-central users by adding the ability depend on npm packages in the build step.
Alias: node_modules → node-modules
Depends on: vendor-eslint
Blocks: 1498604
Blocks: 1500192
Attached file Technical Doc
User Story: (updated)
Depends on: 1581165
Blocks: bugzy-epic
Summary: [META] support vendoring npm packages into mozilla-central /node_modules → [META] vendor in first key npm packages (eslint & deps) into m-c
Summary: [META] vendor in first key npm packages (eslint & deps) into m-c → [META] vendor in first key npm packages into m-c
No longer depends on: 1581165
No longer blocks: as-build-meta
No longer blocks: old-bugzy-epic
Blocks: ujmc
Summary: [META] vendor in first key npm packages into m-c → [META] vendor packages from top-level package.json into m-c
Alias: node-modules → node-toplevel-packages
Depends on: 1598445
Depends on: 1547823
Depends on: 1604295
Depends on: 1605235
Blocks: 1563927
Depends on: 1588517
Depends on: 1652173
You need to log in before you can comment on or make changes to this bug.